# Deepgram Rust SDK

[![CI](https://github.com/deepgram-devs/deepgram-rust-sdk/actions/workflows/ci.yaml/badge.svg?branch=main)](https://github.com/deepgram-devs/deepgram-rust-sdk/actions/workflows/ci.yaml)
[![crates.io](https://img.shields.io/crates/v/deepgram)](https://crates.io/crates/deepgram)
[![downloads](https://img.shields.io/crates/d/deepgram)](https://crates.io/crates/deepgram)
[![docs](https://img.shields.io/docsrs/deepgram)](https://docs.rs/deepgram)
[![license](https://img.shields.io/crates/l/deepgram)](./LICENSE)

Experimental Rust SDK for [Deepgram](https://www.deepgram.com/). Power your apps with world-class speech and Language AI models.

> This SDK only supports hosted usage of api.deepgram.com.

## Getting an API Key

🔑 To access the Deepgram API you will need a [free Deepgram API Key](https://console.deepgram.com/signup?jump=keys).
## Documentation

You can learn more about the Deepgram API at [developers.deepgram.com](https://developers.deepgram.com/docs).

## Current Status

This SDK is still very much work-in-progress. The interface is subject to rapid change.
## Install

From within your Cargo project directory, run the following command:

```sh
cargo add deepgram
```

You will also probably need to install [`tokio`](https://crates.io/crates/tokio):

```sh
cargo add tokio --features full
```

## Documentation and Examples

Documentation and examples can be found on our [Docs.rs page](https://docs.rs/deepgram/latest/deepgram/).

## Development and Contributing

Interested in contributing? We ❤️ pull requests!

To make sure our community is safe for all, be sure to review and agree to our
[Code of Conduct](./CODE_OF_CONDUCT.md). Then see the
[Contributing Guidelines](./CONTRIBUTING.md) for more information.

## Getting Help

We love to hear from you so if you have questions, comments or find a bug in the
project, let us know! You can either:

- [Open an issue in this repository](https://github.com/deepgram-devs/deepgram-rust-sdk/issues/new)
- [Join the Deepgram Github Discussions Community](https://github.com/orgs/deepgram/discussions)
- [Join the Deepgram Discord Community](https://discord.gg/xWRaCDBtW4)

[license]: LICENSE.txt